Bug 31360 - a2ps: wrong ISO8859-2 font-path
Summary: a2ps: wrong ISO8859-2 font-path
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: a2ps   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: QA Orphan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-10 18:38 UTC by jens.koerber
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-23 13:06:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
here is it ... (442 bytes, application/octet-stream)
2001-03-14 21:11 UTC, jens.koerber
no flags Details
local.adl after an upgrade to 0.2.7-1 ... a2ps still not functional ... btw... printing via gv (tex,dvips) works (442 bytes, application/octet-stream)
2001-03-15 00:59 UTC, jens.koerber
no flags Details

Description jens.koerber 2001-03-10 18:38:13 UTC
bug in a2ps-4.13-conf.patch

/usr/share/fonts/ISO8859-2/Type1/afm ... should be 
/usr/X11R6/lib/X11/fonts/latin2/Type1/afm

anyway ... I'm not able to print via a2ps (default settings)

my configuration:
psmisc-19-4
a2ps-4.13b-13
ghostscript-5.50-17
LPRng-3.7.4-19
printconf-0.2.6-1 (A4 postscript testpage works ...)

Printer Canon BJC6000 (driver BJC600)


 Status: IF filter 'mf_wrapper' filter msg - '' at 19:29:04.235
 Status: IF filter 'mf_wrapper' filter msg - '<</HWResolution[360
360]>>setpagedevice' at 19:29:04.235
 Status: IF filter 'mf_wrapper' filter msg - 'GNU Ghostscript:
Unrecoverable error, exit code 1' at 19:29:04.459
 Status: IF filter 'mf_wrapper' filter msg - 'tail process done writing
data to *main::STDOUT' at 19:29:04.461
 Status: IF filter 'mf_wrapper' filter msg - 'closing *main::KID3' at
19:29:04.471
 Status: IF filter 'mf_wrapper' filter msg - 'Error closing pipe to gs -q
-dBATCH -dSAFER -dQUIET -dNOPAUSE -sDEVICE=bjc600 -sOutputFile=- - at
/usr/share/printconf/foomatic/mfomatic line 397, <STDIN> line 1007.' at
19:29:04.471
 Status: IF filter 'mf_wrapper' filter exit status 'JFAIL' at 19:29:04.485
 Status: printing finished at 19:29:04.485

Comment 1 Crutcher Dunnavant 2001-03-14 15:51:48 UTC
please attach a copy of /etc/alchemist/namespace/printconf/local.adl

Comment 2 jens.koerber 2001-03-14 21:11:45 UTC
Created attachment 12665 [details]
here is it ...

Comment 3 jens.koerber 2001-03-15 00:59:25 UTC
Created attachment 12682 [details]
local.adl after an upgrade to 0.2.7-1 ... a2ps still not functional ... btw... printing via gv (tex,dvips) works

Comment 4 jens.koerber 2001-03-15 01:31:20 UTC
Update ... this is probably not a printconf bug ... crutcher's baby is 
getting better from release to release ... the color 'green' is still
questionable, but it's way better than in 0.2.3 (pinky, pinky, pinky ;-)

another test

[root@localhost /root]# cat > hallo.txt <<EOF
> hallo
> EOF

[root@localhost /root]# a2ps -o hallo.ps hallo.txt
[hallo.txt (unformatiert): 1 Seite auf einem Blatt]
[Insgesamt: 1 Seite auf einem Blatt] in die Datei `hallo.ps' geschrieben
[root@localhost /root]#      

[root@localhost /root]# gv hallo.ps  

Error: /undefined in 15,000000
Operand stack:
   th
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   1   3   %oparray_pop   1   3  
%oparray_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--  
2   %stopped_push   --nostringval--   --nostringval--   --nostringval--
Dictionary stack:
   --dict:904/941(G)--   --dict:0/20(G)--   --dict:51/200(L)--  
--dict:55/200(L)--
Current allocation mode is local
Current file position is 15336
GNU Ghostscript: Unrecoverable error, exit code 1


Comment 5 Tim Waugh 2002-01-25 17:31:01 UTC
Fixed in a2ps-4.13b-18.



Note You need to log in before you can comment on or make changes to this bug.